List Custom Link jobs
curl --request GET \
--url https://api-us.hihobbes.com/api/v1/custom-link-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "create",
"status": "queued",
"totalItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdCount": 0,
"failedCount": 0,
"thumbnailQueuedCount": 0,
"thumbnailProcessingCount": 0,
"thumbnailGeneratedCount": 0,
"thumbnailProvidedCount": 0,
"thumbnailFallbackCount": 0,
"thumbnailFailedCount": 0,
"progress": 0,
"pollAfterSeconds": 2,
"cancelRequested": false,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Custom Links
List Custom Link jobs
Return durable Custom Link job history, newest first.
GET
/
api
/
v1
/
custom-link-jobs
List Custom Link jobs
curl --request GET \
--url https://api-us.hihobbes.com/api/v1/custom-link-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "create",
"status": "queued",
"totalItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdCount": 0,
"failedCount": 0,
"thumbnailQueuedCount": 0,
"thumbnailProcessingCount": 0,
"thumbnailGeneratedCount": 0,
"thumbnailProvidedCount": 0,
"thumbnailFallbackCount": 0,
"thumbnailFailedCount": 0,
"progress": 0,
"pollAfterSeconds": 2,
"cancelRequested": false,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Requires
custom_links:read or custom_links:write.
Use this endpoint to recover job ids after a client restart. Poll one job for
current counters and fetch its items only when the counters change.Authorizations
bearerapiKeyHeader
Hobbes API key with the hb_live_ prefix.
Query Parameters
Available options:
queued, processing, completed, completed_with_errors, cancelled, failed Custom Link campaign UUID.
Number of records to return. Defaults to 50 and cannot exceed 200.
Required range:
1 <= x <= 200Zero-based number of records to skip. Use with pagination.total to request the next page.
Required range:
0 <= x <= 1000000